## org.exist.xquery
Class NameTest

    java.lang.Object
      org.exist.xquery.TypeTest
          org.exist.xquery.NameTest

All Implemented Interfaces:
  NodeTest

public class NameTest
extends TypeTest

Constructor Summary
`NameTest(int type, QName name)`

Method Summary
`void` `dump(ExpressionDumper dumper)`
`QName` `getName()`
`boolean` `isWildcardTest()`
`boolean` `matches(org.w3c.dom.Node other)`
`boolean` `matches(NodeProxy proxy)`
`boolean` `matchesName(org.w3c.dom.Node other)`
`java.lang.String` `toString()`

Methods inherited from class org.exist.xquery.TypeTest
`getType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameTest

    public NameTest(int type,
                    QName name)

Method Detail

### getName

    public QName getName()

  Specified by:
    `getName` in interface `NodeTest`
  Overrides:
    `getName` in class `TypeTest`

### matches

    public boolean matches(NodeProxy proxy)

  Specified by:
    `matches` in interface `NodeTest`
  Overrides:
    `matches` in class `TypeTest`

### matches

    public boolean matches(org.w3c.dom.Node other)

  Specified by:
    `matches` in interface `NodeTest`
  Overrides:
    `matches` in class `TypeTest`

### matchesName

    public boolean matchesName(org.w3c.dom.Node other)

### isWildcardTest

    public boolean isWildcardTest()

  Specified by:
    `isWildcardTest` in interface `NodeTest`
  Overrides:
    `isWildcardTest` in class `TypeTest`

### dump

    public void dump(ExpressionDumper dumper)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TypeTest`

Copyright (C) Wolfgang Meier. All rights reserved.